<?php

date_default_timezone_set('America/Sao_Paulo');

if(!isset($_SESSION)) {
  session_start();
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  require_once 'inc/funcionalidade.php';
  $redirect = 'erpc_funcionalidades_list.php';
  $funcionalidade = funcionalidade_create();
  if (isset($_POST['funcionalidade'])) {
    $funcionalidade = array_replace_recursive($funcionalidade, $_POST['funcionalidade']);
  }
  if (isset($_POST['btn-add'])) {
    $ok = funcionalidade_insert($funcionalidade);
    if ($ok === false) {
      $redirect = 'erpc_funcionalidades_add.php?id=' . urlencode(base64_encode($funcionalidade['id']));
    }
  } else if (isset($_POST['btn-edit'])) {
    $ok = funcionalidade_update($funcionalidade);
    if ($ok === false) {
      $redirect = 'erpc_funcionalidades_edit.php?id=' . urlencode(base64_encode($funcionalidade['id']));
    }
  } else if (isset($_POST['btn-remove'])) {
    $ok = funcionalidade_delete($funcionalidade);
    if ($ok === false) {
      $redirect = 'erpc_funcionalidades_remove.php?id=' . urlencode(base64_encode($funcionalidade['id']));
    }
  }

  header("Location:$redirect");
  exit;
}
